csOptionDescription Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csOptionDescription Struct Reference
Utilities

Description of a configuration option, to be used by the iPluginConfig interfaces. More...

`#include <iutil/pluginconfig.h>`

List of all members.

## Public Member Functions
| csOptionDescription ()
| Constructor.
| csOptionDescription (int id, const char *name, const char *description, csVariantType type)
| Constructor.
| csOptionDescription (const char *name, const char *description, csVariantType type)
| Constructor.
## Public Attributes
csString | description
| Description for this option.
int | id
| Description index (or ID)
csString | name
| Short name of this option.
csVariantType | type
| Type to use for this option.

## Detailed Description

Description of a configuration option, to be used by the iPluginConfig interfaces.

Definition at line 169 of file pluginconfig.h.

## Constructor & Destructor Documentation

csOptionDescription::csOptionDescription | ( |  | ) | `[inline]`

Constructor.

Definition at line 181 of file pluginconfig.h.

csOptionDescription::csOptionDescription | ( | int | id,
|  | const char * | name,
|  | const char * | description,
|  | csVariantType | type
| ) |  | `[inline]`

Constructor.

Parameters:

  id | Description index (or ID)
  name | Short name of this option.
  description | Description for this option.
  type | Type to use for this option.

Definition at line 190 of file pluginconfig.h.

csOptionDescription::csOptionDescription | ( | const char * | name,
|  | const char * | description,
|  | csVariantType | type
| ) |  | `[inline]`

Constructor.

Parameters:

  name | Short name of this option.
  description | Description for this option.
  type | Type to use for this option.

Warning:
  The id is initialized to 0 in this constructor!

Definition at line 200 of file pluginconfig.h.

## Member Data Documentation

csString csOptionDescription::description

Description for this option.

Definition at line 176 of file pluginconfig.h.

int csOptionDescription::id

Description index (or ID)

Definition at line 172 of file pluginconfig.h.

csString csOptionDescription::name

Short name of this option.

Definition at line 174 of file pluginconfig.h.

csVariantType csOptionDescription::type

Type to use for this option.

Definition at line 178 of file pluginconfig.h.

The documentation for this struct was generated from the following file:

- iutil/pluginconfig.h